#version 150

#moj_import <minecraft:fog.glsl>
#moj_import <minecraft:color.glsl>

uniform sampler2D Sampler0;

uniform vec4 ColorModulator;
uniform float FogStart;
uniform float FogEnd;
uniform vec4 FogColor;

in float vertexDistance;
in vec4 vertexColor;
in vec4 lightMapColor;
in vec4 overlayColor;
in vec2 texCoord0;

out vec4 fragColor;

void main() {
    vec4 color = texture(Sampler0, texCoord0);
#ifdef ALPHA_CUTOUT
    if (color.a < ALPHA_CUTOUT) {
        discard;
    }
#endif
#ifdef ALPHA_CUTOUT_JAGGED
    if (color.a < ALPHA_CUTOUT_JAGGED) {
        discard;
    }
#endif

    vec4 light = lightMapColor;
#ifdef EMISSIVE
    light = vec4(1.0, 1.0, 1.0, 1.0);
#endif

    vec4 overlay = overlayColor;
#ifdef NO_OVERLAY
    overlay = vec4(1.0, 1.0, 1.0, 1.0);
#endif

    fragColor = shadeEntity(color, vertexColor, ColorModulator, light, overlay, vertexDistance, FogStart, FogEnd, FogColor);
}
