#version 150

#moj_import <color.glsl>

uniform sampler2D Sampler0;

uniform vec4 ColorModulator;

in vec4 vertexColor;
in vec2 texCoord0;

out vec4 fragColor;

void main() {
    vec4 color = texture(Sampler0, texCoord0).rrrr * vertexColor;
    if (color.a < 0.01) {
		discard;
    }

    color = outlineTexture(Sampler0, texCoord0, color);


    fragColor = color * ColorModulator;
}
